import './globals.css'
import '@mantine/core/styles.css'

import type { Metadata } from 'next'
import React from 'react'
import { ColorSchemeScript, MantineProvider } from '@mantine/core'
import { Montserrat } from 'next/font/google'
import Navbar from '@/components/Navbar'
export const metadata: Metadata = {
  title: 'Matz Hilven | Software Engineer',
  description: 'todo',
}

const font = Montserrat({
  subsets: ['latin'],
  display: 'swap',
})

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en" className={font.className}>
      <head>
        <ColorSchemeScript />
      </head>
      <body className="dark">
        <div className="bg-white text-gray-900 dark:bg-gray-900 dark:text-gray-100">
          <Navbar />
          <div className="flex min-h-screen flex-col items-center p-4 md:p-8">
            <MantineProvider>{children}</MantineProvider>
          </div>
        </div>
      </body>
    </html>
  )
}
