import Link from 'next/link'

type NavLinkProps = {
  href: string
  isActive: boolean
  label: string
}

const NavLink = ({ href, isActive, label }: NavLinkProps) => {
  return (
    <div className="drop-shadow-glow group relative text-xl">
      <Link href={href}>{label}</Link>
      <span className="absolute bottom-[-4px] left-1/2 block h-0.5 w-0 bg-black transition-all duration-300 group-hover:left-0 group-hover:w-full dark:bg-white"></span>
    </div>
  )
}

export default NavLink
